/* calculadora */
body{
    font-family: Arial, Helvetica, sans-serif;
}
.ui-btn-inner {
    font-size: 15px;
    user-select: none;
}

:root {
    interpolate-size: allow-keywords;
    --normal-gradient-start: hsl(200, 75%, 46%);
    --normal-gradient-end: hsl(206, 84%, 15%);
    --gradient-start: 0%;
    --gradient-end: 100%;
    --desconocido-gradient-start: #ffffaf;
    --desconocido-gradient-end: #ff6e02;
    --font-label-size: 16px;
    --font-button-size: 24px;

    --backdrop-color: 0, 0, 0, 0;

    --backdrop-blur: 5px;
    --resultados-font-size: 20px;
    --sumary-font-size: 15px;
    --advertencia-font-size: 24px;
    --fontsize-error: 21px;
}

.calc-container {
    height: 740px !important;
    
}

.content-wapper {
    display: grid;
    grid-template-areas: "unica";
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.datos-paciente {
    display: flex;
    flex-direction: column;
    --translateX: 100%;

    grid-area: unica;
    width: 100%;
    height: 100%;
    opacity: 0;
    pointer-events: none;
    transform: translateX(var(--translateX));
    user-select: none;
    transition: transform 0.5s ease, opacity 0.3s ease 0.2s;
}

.datos-paciente.activa {
    opacity: 1;
    --translateX: 0px;
    pointer-events: all;
}

.datos-tratamiento {
    display: flex;
    flex-direction: column;
    --translateX: -100%;

    grid-area: unica;
    width: 100%;
    height: 100%;
    opacity: 0;
    pointer-events: none;
    transform: translateX(var(--translateX));
    user-select: none;
    transition: transform 0.5s ease, opacity 0.3s ease 0.2s;
}

.datos-tratamiento.activa {
    opacity: 1;
    --translateX: 0px;
    pointer-events: all;
}

p {
    user-select: none;
}

.cambios-calculadora {
    position: relative;
}

.cambios-calculadora * img {
    user-select: none;
    -webkit-user-drag: none;
}

.cambios-calculadora:has(.datos-tratamiento.activa) #boton-atras {
    opacity: 0;
    pointer-events: none;
}

.cambios-calculadora:has(.datos-paciente.activa) #boton-atras {
    opacity: 1;
    pointer-events: all;
}

.cambios-calculadora #boton-atras {
    transition: opacity .3s ease-in-out;
    cursor: pointer;
    position: absolute;
    right: 10px;
    top: 10px;
    width: 29px;
    height: 29px;
    border: 1px solid #90bed5;
    border-radius: 100%;
    background-image: linear-gradient(#1c84c9, #40aef7);
    overflow: hidden;
    cursor: pointer;
}

.cambios-calculadora #boton-atras:hover {
    border: 1px solid #fc7114;

    background-image: linear-gradient(#bd520b, #fc7114);
}

.cambios-calculadora #boton-atras:hover .icono-close {
    filter: hue-rotate(180deg);
}

.cambios-calculadora #boton-atras .icono-close {
    display: block;
    position: absolute;
    inset: 4px;
    border-radius: 100%;
    background-position: 1px 2px;
    background-color: white;
    background-image: url('../img/flecha-atras.png');
    background-repeat: no-repeat;

    box-shadow: inset 1px 1px 4px 0px rgba(0, 0, 0, 0.46);
}

.cambios-calculadora {

    letter-spacing: 0px;
    height: 622px;
    display: flex;
    flex-direction: column;
}

.cambios-calculadora .fieldset-radios {
    border: 1px solid #00000050;
    box-sizing: border-box;
    background-color: white;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.cambios-calculadora .fieldset-radios label {

    display: flex;
    align-items: center;
    padding-block: 10px;
    background: linear-gradient(#ffffff, #f1f1f1);

    font-weight: 600;
    color: #003366;
    cursor: pointer;
    padding-right: 1rem;
}

.cambios-calculadora .fieldset-radios label span {
    pointer-events: none;
    user-select: none;
}

.cambios-calculadora .fieldset-radios input[type="radio"] {

    margin-right: 12px;
    margin-top: 2px;
    width: 15px;
    height: 15px;

    appearance: none;
    border: 2px solid #d1d5db;
    border-radius: 50%;
    background-color: #d1d5db;
    position: relative;
    cursor: pointer;
    flex-shrink: 0;
    margin-inline: 1rem;
}

.cambios-calculadora .fieldset-radios input[type="radio"]:checked {

    outline: 6px solid #ff6b35;
    outline-offset: -4px;
    background-color: transparent;
}

.cambios-calculadora .contenedor-botones {
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    gap: 0rem;
    flex-grow: 1;
    padding-inline: 1rem;
}

.cambios-calculadora .contenedor-botones details {
    margin: 0;
    overflow: hidden;
    /* elimina márgenes */
    padding: 0;
    position: relative;
    font-size: var(--sumary-font-size);
}

.cambios-calculadora .contenedor-botones details.disabled {
    filter: saturate(0);
    opacity: 0.5;
    pointer-events: none;
}

.cambios-calculadora .contenedor-botones details::details-content {
    height: 0;
    transition: block-size .3s, content-visibility .3s;
    transition-behavior: allow-discrete;
}

.cambios-calculadora .contenedor-botones details[open]::details-content {
    height: auto;
    transition: block-size .3s, content-visibility .3s;
    transition-behavior: allow-discrete;
}

.cambios-calculadora .contenedor-botones details[open] summary .flecha-boton::after {
    transform: rotate(90deg);
    /* apunta hacia abajo */
}

.cambios-calculadora .contenedor-botones details .contenido-detalles {
    display: flex;
    padding-block: .4rem;
    padding-bottom: 0;
}

.cambios-calculadora .contenedor-botones details .desconocido {
    --gradient-start: 50%;
    --normal-gradient-start: var(--desconocido-gradient-start);
    --normal-gradient-end: var(--desconocido-gradient-end);
    color: #5d3118;
}

.cambios-calculadora .contenedor-botones details summary {
    box-sizing: border-box;
}

.cambios-calculadora .contenedor-botones details summary>span {
    pointer-events: none;
}

.cambios-calculadora .contenedor-botones details summary {

    width: 100%;
    font-weight: bold;
    color: #fff;
    text-shadow: 0 0 0 #194b7e;
    background-image: linear-gradient(to bottom, var(--normal-gradient-start) var(--gradient-start), var(--normal-gradient-end) var(--gradient-end));

    transition: --normal-gradient-start .4s ease, --normal-gradient-end .4s ease, --gradient-start .4s ease, --gradient-end .4s ease;
    border-radius: 10px;
    border: 1px solid #044062;
    padding: 10px 22px;
    color: white;
    list-style: none;
    text-shadow: 0 0 #194b7e;

    cursor: pointer !important;

    /* flecha */
}

.cambios-calculadora .contenedor-botones details summary .flecha-boton {

    position: absolute;
    width: 18px;
    height: 18px;
    background-color: rgba(0, 0, 0, 0.4);
    border-radius: 50%;
    box-shadow: 0 1px 0 rgba(255, 255, 255, .4);
    right: 10px;
}

.cambios-calculadora .contenedor-botones details summary .flecha-boton::after {
    position: absolute;
    content: "";
    inset: 0;
    width: 18px;
    height: 18px;
    background-image: url(../themes/images/icons-18-white.png);
    background-position: -108px -1px;
    background-repeat: no-repeat;

    transition: transform 0.3s ease-in-out;
}

.cambios-calculadora .botones-container {

    height: 2.4rem;
}

.cambios-calculadora .botones-confirmacion {
    display: none;
    gap: 1rem;
    align-items: flex-end;
    justify-content: space-between;

    padding-inline: 1rem;
}

.cambios-calculadora .botones-confirmacion.activo {
    display: flex;
}

.cambios-calculadora .botones-confirmacion>button {
    padding-inline: .6rem;
    padding-block: 0.5rem;
    cursor: pointer;
    height: 37px;
    border-radius: 10px;
    font-weight: bold;
    font-size: 16px;
    border: none;
}

.cambios-calculadora .botones-confirmacion .btn-confirmacion {
    color: #b32c03;
    background-image: linear-gradient(to bottom, white, #ffd074);

    flex: 1;
}

.cambios-calculadora .botones-confirmacion .btn-confirmacion:hover {
    background-image: linear-gradient(to bottom, #aeffb4, white);
    color: #00860f;
    border: 2px solid #00860f;
}

.cambios-calculadora .botones-confirmacion .btn-reset {
    box-sizing: border-box;
    color: #023661;
    background-image: linear-gradient(to bottom, #f9ffff, #bcc9c6);

    margin-inline: 1px;
}

.cambios-calculadora .botones-confirmacion .btn-reset:hover {
    box-sizing: border-box;
    margin-inline: 0px;
    background-image: linear-gradient(to bottom, #b8bfc2, #284354);
    box-shadow: inset 0 0 18px 1px rgba(255, 255, 255, 1);
    color: white;
    border: 1px solid black;
}

.cambios-calculadora input[type="text"],
.cambios-calculadora input[type="number"] {
    box-sizing: border-box;
    min-height: 37px;
    line-height: 1.4em;
    font-size: 16px;
    font-weight: 600;
    text-shadow: 0 0 #ffffff;
    border: 1px solid white;
    border-radius: 10px;
    box-shadow: inset 1px 1px 4px -1px rgba(0, 0, 0, 0.36);
    height: 2rem;
    text-align: center;
    outline: none !important;
    margin-inline: 2px;
    display: flex;
    align-items: center;
}

.cambios-calculadora input[type="text"],
.cambios-calculadora input[type="number"]:disabled {
    border: 1px solid #ffffff30;
}

.cambios-calculadora input[type="text"],
.cambios-calculadora input[type="number"]:focus {
    border: 0px;
    outline: none !important;
    /* box-shadow: 1px 1px 4px -1px rgba(0, 0, 0, 0.36), 0 0 0 2px #09F; */
}

.cambios-calculadora input[type="text"],
.cambios-calculadora input[type="number"]::placeholder {
    color: #00000040;
    text-shadow: none;
    font-size: 14px;
    font-style: italic;
}

.cambios-calculadora .formulario-paciente .toolinfo {
    background-color: #246ea8;
}

.cambios-calculadora .formulario-paciente .toolinfo:hover {
    background-color: #1e8ce0;
    color: white;

    cursor: pointer;
}

.cambios-calculadora .formulario-paciente .toolinfo {

    color: white;
    padding: 4px 6px 5px 6px;
    margin-left: .5rem;
    border-radius: 5px;
    outline: 1px solid white;
    font-size: 10px;
}

.cambios-calculadora .formulario-paciente .toolinfo::before {
    content: "[";
}

.cambios-calculadora .formulario-paciente .toolinfo::after {
    content: "]";
}

.cambios-calculadora .formulario-paciente .tooltip {

    position: absolute;
    pointer-events: none;
    display: none !important;
    display: flex !important;
    opacity: 0;
    transform: translate(0px, -10px);
    justify-content: center;
    align-items: center;
    width: 351px;
    height: 74px;
    top: calc(100% + 20px);
    background-color: #2d577f;
    aspect-ratio: 1 / 1;
    border-radius: 12px;
    outline: 2px solid white;
    font-size: 13px;
    color: white !important;
    text-align: center;
    transition: all 300ms ease-in-out;
}

.cambios-calculadora .formulario-paciente .tooltip .tool-close {
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 10px;
    cursor: pointer;
}

.cambios-calculadora .formulario-paciente .tooltip .tool-close svg {
    width: 16px;
    height: 16px;
}

.cambios-calculadora .formulario-paciente .tooltip.open {
    pointer-events: auto;
    opacity: 1;
    transition: all 300ms ease-in-out;

    transform: translate(0px, 0px);

    display: flex !important;
}

.cambios-calculadora .formulario-paciente {

    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 0px;
    padding-top: 30px;
    padding-inline: 1rem;
}

.cambios-calculadora .formulario-paciente input[type='number'] {
    -moz-appearance: textfield;
}

.cambios-calculadora .formulario-paciente input::-webkit-outer-spin-button,
.cambios-calculadora .formulario-paciente input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

.cambios-calculadora .formulario-paciente input {
    appearance: none;
    width: 100%;
}

.cambios-calculadora .formulario-paciente .label-center {
    display: flex;
    padding-block: 5px;
    justify-content: center;
    font-weight: bold;
    font-size: var(--font-label-size);
    color: var(--label-color, #0d47a1);
    width: 100%;
    text-shadow: none !important;
}

.cambios-calculadora .formulario-paciente>div {
    display: flex;
    flex-direction: column;
}

.cambios-calculadora .formulario-paciente .comida {
    margin-top: 8px;

    margin-bottom: 16px;
}

.cambios-calculadora .formulario-paciente .comida>div {
    font-size: 16px;

    padding-block: 9px;
}

.cambios-calculadora .formulario-paciente #dtd:disabled {
    opacity: 1;
    margin-inline: 0px;
    background-image: linear-gradient(to bottom, #0d507c, #1c8fc8);
    box-shadow: inset 0 0 28px 5px rgba(255, 255, 255, 1);

    font-size: 0px;
    border: 1px solid black;
}

.cambios-calculadora .formulario-paciente .dtd-info2 {

    display: flex !important;
    position: relative;
    text-align: center;
    width: 100%;
    text-shadow: none !important;
    justify-content: center;
    margin-bottom: 10px;
    font-size: 14px !important;
    font-weight: bold;
    color: #194b7e !important;

    align-items: center;
}

.cambios-calculadora .formulario-paciente .dtd-info div {
    margin-top: 16px;
    width: 100%;
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    color: white !important;
    text-shadow: -1px -1px 0 #194b7e, 0 -1px 0 #194b7e, 1px -1px 0 #194b7e, -1px 0 0 #194b7e, 1px 0 0 #194b7e, -1px 1px 0 #194b7e, 0 1px 0 #194b7e, 1px 1px 0 #194b7e;
}

.cambios-calculadora .formulario-paciente .dtd-info {

    flex: 1;
}

.cambios-calculadora .formulario-paciente .form-group label {
    display: flex;
}

.cambios-calculadora .formulario-paciente .form-group div {
    display: block;
    color: #0d47a1;

    font-size: 1em;
}

.cambios-calculadora .formulario-paciente .checkbox-opcion {

    display: flex !important;
    align-items: center;

    padding-block: 11px;
    background: linear-gradient(#ffffff, #f1f1f1);

    text-shadow: 0 1px 0 #ffffff;
    border: 1px solid #cccccc;
    border-bottom: 1px solid #ccc;
    /* el tamaño 16 no deja espacio para el texto */
    font-size: 15px;
    font-weight: 600;
    color: #003366;
    cursor: pointer;

    border-radius: 10px;
    display: flex;
    align-items: start !important;
}

.cambios-calculadora .formulario-paciente .checkbox-opcion span {
    pointer-events: none;
    user-select: none;
}

.cambios-calculadora .formulario-paciente .checkbox-opcion input[type="checkbox"] {
    box-sizing: border-box;
    display: flex;
    transform: translateY(2px);

    width: 14px;
    height: 14px;

    appearance: none;
    border: 2px solid #d1d5db;
    border-radius: 50%;
    background-color: #d1d5db;
    position: relative;
    cursor: pointer;
    flex-shrink: 0;
    margin-inline: 1rem;
    margin-block: 0;
}

.cambios-calculadora .formulario-paciente .checkbox-opcion input[type="checkbox"]:checked {

    outline: 6px solid #ff6b35;
    outline-offset: -4px;
    background-color: transparent;
}

.cambios-calculadora .formulario-paciente .btn-calculate {
    box-sizing: border-box;
    height: 34px;
    background-image: linear-gradient(to bottom, #fbfffe, #9df9ea);
    outline: 1px solid #aadcff;
    border: none;
    border-radius: 17px;
    cursor: pointer;
    font-weight: 600;
    letter-spacing: .3rem;

    font-size: 1rem;
}

.cambios-calculadora .formulario-paciente .btn-calculate:hover {
    box-sizing: border-box;
    background-image: linear-gradient(to bottom, #fefdfb, #fc7114);
    outline: none;
    box-shadow: 0 -1px #fc7114;
}

.cambios-calculadora label {
    display: block;
    color: #0d47a1;
    font-weight: bold;

    font-size: 1.1em;
}

.dial-paciente {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    padding-inline: 15px;
    flex-direction: column;
    gap: 10px;
    border: none;
    border-radius: 12px;
    width: min(100vw, 700px);
    z-index: -100;
    opacity: 0;

    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.3);
    transform: translateY(50px);
    opacity: 0;
}

.dial-paciente img {
    width: 100%;
    height: auto;
}

.dial-paciente .btn-return {
    font-size: 15px;
    font-weight: bold;
    padding-block: 9px;
    border-radius: 18px;
    width: 100%;
    color: #12416d;
    background-image: linear-gradient(#ffffff, #40aef7);
    border: 1px solid #90bed5;
    cursor: pointer;
}

.dial-paciente .btn-return:hover {
    border: 1px solid #fc7114;
    background-image: linear-gradient(#fff, #fc7);
}

.dial-paciente .btn-close {
    position: absolute;
    right: 10px;
    top: 10px;
    width: 25px;
    height: 25px;
    border: 1px solid #90bed5;
    border-radius: 100%;
    background-image: linear-gradient(#ffffff, #40aef7);
    overflow: hidden;
    cursor: pointer;
}

.dial-paciente .btn-close:hover {
    border: 1px solid #fc7114;
    background-image: linear-gradient(#fff, #fc7114);
}

.dial-paciente .btn-close .icono-close {
    display: block;
    position: absolute;
    inset: 3px;
    border-radius: 100%;
    background-color: #00000066;
    background-image: url(../themes/images/icons-18-white.png);
    background-position: -73px -1px;

    background-repeat: no-repeat;
}

.dial-paciente .visuallyhidden {
    opacity: 0;
}

.dial-paciente .dial-paciente-content {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;
}

.dial-paciente .error {

    color: red;
    font-size: var(--fontsize-error);
    font-weight: bold;
    text-align: center;
    margin-bottom: 10px;
    background-color: #feff99;

    display: none;
    margin-inline: 30px;
    padding: 15px;
}

.dial-paciente .error span {
    color: black;
}

.dial-paciente[open] {

    z-index: 100;

    align-items: center;
    justify-content: center;
    margin-inline: auto;
    animation: appearDialog 500ms ease-in-out forwards;
}

.dial-paciente[open]::backdrop {
    background-color: #63abdeaa;
    backdrop-filter: blur(var(--backdrop-blur));
    animation: appearbackdrop 500ms ease-in-out forwards;
}

.dial-resultados {

    display: none;
    flex-direction: column;
    border: none;
    width: 100%;
    top: 0;
    padding-block: 3rem;
    overflow-y: auto;
}

.dial-resultados:-internal-dialog-in-top-layer {
    max-width: calc(100% - 2em);
}

.dial-resultados {

    background-color: transparent;
}

.dial-resultados .dialog-wrapper {

    padding-inline: 11px;
    margin-block: auto;
    justify-content: flex-start;
    width: minmax(100%, 700px);
    max-width: 700px;
    align-items: stretch;

    flex-direction: column;
    gap: 10px;
    border: none;
    border-radius: 12px;

    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.3);
    transform: translateY(30px);

    background-color: white;

    margin-inline: auto;
}

.dial-resultados::backdrop {
    background-color: #63abde;
}
.dial-resultados[open]{
    display: flex;
}

.dial-resultados[open] .dialog-wrapper {
    z-index: 100;

    display: flex;
    animation: appearDialogResultados 500ms ease-in-out forwards;
}

.dial-resultados #pauta-imagen {
    margin-top: 13px;
}

.dial-resultados #pauta-imagen img {
    width: 100%;
    height: auto;
}

.dial-resultados #pauta-titulo {
    width: 100%;
}

.dial-resultados #pauta-titulo img {

    width: 100%;
    height: auto;
}

.dial-resultados .advertencia-resultados {
    background-color: #feff99;

    box-sizing: border-box;
    color: red;
    font-weight: bold;
    text-align: center;
    font-size: var(--advertencia-font-size);
    padding: 1rem;
    line-height: 25px;
}

.dial-resultados .advertencia-resultados span {
    padding-inline: 2px;
    background-color: red;
    color: #feff99;
}

.dial-resultados .resultados-content {
    box-sizing: border-box;
    position: relative;
    display: grid;
    grid-template-rows: repeat(3, auto);
    padding: 10px;
    background-color: #feff99;
    padding-inline: 10px;

    padding-block: 15px;
    --data-bolos-display: none;
}

.dial-resultados .resultados-content>div {

    width: 100%;
}

.dial-resultados .resultados-content .aviso-resultados {
    display: none;
    box-sizing: border-box;
    color: blue;
    font-weight: bold;
    text-align: center;
    font-size: var(--advertencia-font-size);
    padding: 5px;
    padding-block: 1rem;
}

.dial-resultados .resultados-content .aviso-resultados span {
    padding-inline: 2px;
    background-color: #feff99;
    color: red;
}

.dial-resultados .resultados-content .visible {
    display: block;
}

.dial-resultados .resultados-content #pauta-dosis {
    display: flex;
    flex-direction: column;
    align-items: stretch;

    background-color: #016e01;
    color: white;
    font-weight: 500;
    font-size: var(--resultados-font-size);
}

.dial-resultados .resultados-content #pauta-dosis .dosis-principal {
    text-align: center;
    padding-block: 6px;
}

.dial-resultados .resultados-content #pauta-dosis .dosis-bolos {
    display: var(--data-bolos-display);
    flex-direction: column;
    align-items: center;
    background-color: #fe9901;
    padding: 6px;
}

.dial-resultados .resultados-content #pauta-dosis .dosis-bolos * {
    text-shadow: none !important;
}

.dial-resultados .resultados-content #pauta-dosis .dosis-bolos .distribucion-bolos {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    font-weight: 600;
}

.dial-resultados .resultados-content #pauta-dosis .dosis-bolos .distribucion-bolos>div {
    padding-block: 1px;
    color: #ab0d0a;
}

.dial-resultados .resultados-content #pauta-dosis .dosis-bolos .distribucion-bolos>div span {
    display: inline-block;
    min-width: 1.3rem;
    text-align: end;
}

.dial-resultados .resultados-content #pauta-dosis .dosis-bolos .distribucion-bolos div:nth-child(2n-1) {
    display: flex;
    justify-content: flex-end;
    color: #7e3d00;
}

.dial-resultados .resultados-content #pauta-hiperglucemia {
    display: none;
}

.dial-resultados .resultados-content #pauta-hiperglucemia img {
    width: 100%;
    height: auto;
}

.dial-resultados .resultados-content[data-pauta="1"] #pauta-imagen {
    margin-top: 0px;
}

.dial-resultados .resultados-content[data-pauta="1"] #pauta-dosis {
    grid-row: -1;
}

.dial-resultados .resultados-content[data-pauta="1"] #pauta-hiperglucemia {
    display: block;
}

.dial-resultados .resultados-content[data-pauta="3"][data-come="true"] {
    --data-bolos-display: flex;
}

.dial-resultados .resultados-content {

    margin: 0;
    width: 100%;
}

.dial-resultados .invisible {
    display: none;
}

.dial-resultados .btn-return {
    font-size: 15px;
    font-weight: bold;
    padding-block: 9px;
    border-radius: 18px;
    width: 100%;
    color: #12416d;
    background-image: linear-gradient(#ffffff, #40aef7);
    border: 1px solid #90bed5;
    cursor: pointer;
    margin-block: 1rem;
}

.dial-resultados .btn-return:hover {
    border: 1px solid #fc7114;
    background-image: linear-gradient(#fff, #fc7);
}

.dial-resultados .btn-close {
    position: absolute !important;
    right: 10px;
    top: 10px;
    width: 25px;
    height: 25px;
    border: 1px solid #90bed5;
    border-radius: 100%;
    background-image: linear-gradient(#ffffff, #40aef7);
    overflow: hidden;
    cursor: pointer;
}

.dial-resultados .btn-close:hover {
    border: 1px solid #fc7114;
    background-image: linear-gradient(#fff, #fc7114);
}

.dial-resultados .btn-close .icono-close {
    display: block;
    position: absolute;
    inset: 3px;
    border-radius: 100%;
    background-color: #00000066;
    background-image: url(../themes/images/icons-18-white.png);
    background-position: -73px -1px;

    background-repeat: no-repeat;
}

.dial-resultados .dial-paciente-content {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;
}

@media (width <=640px) {
    .botones-confirmacion>button {
        font-size: 2.62vw !important;
    }

    .error {
        --fontsize-error: 17px;
        text-wrap: balance;
    }

    #pauta-dosis {
        --resultados-font-size: 17px;
    }

    .dial-resultados {
        --resultados-font-size: 17px;
        --advertencia-font-size: 17px;
    }

    .contenedor-botones {
        --sumary-font-size: 14px;
    }
}

@keyframes appearDialogResultados {
    from {
        transform: translateY(30px);
        opacity: 0;
    }

    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes appearDialog {
    from {
        transform: translateY(50px);
        opacity: 0;
    }

    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes appearbackdrop {
    from {
        opacity: 0;
        backdrop-filter: blur(0px);
    }

    to {
        opacity: 1;
        backdrop-filter: blur(var(--backdrop-blur));
    }
}